%perl_module XML-LibXML 1.58 5

Summary:       Perl Binding for libxml2
License:       Artistic
Group:         System Environment/Libraries
URL:           http://search.cpan.org/dist/%{pkgname}
Source:        http://search.cpan.org/CPAN/authors/id/P/PH/PHISH/%{pkgname}-%{version}.tar.gz
Patch:	XML-LibXML-1.58-install_sax_driver.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libxml2-devel
BuildRequires: perl(XML::LibXML::Common), perl(XML::SAX)
BuildRequires: perl(XML::NamespaceSupport), perl(Encode)

%description
This module implements a Perl interface to the Gnome libxml2 library. The
libxml2 libxml2 library provides interfaces for parsing and manipulating XML
Files. This Module allows Perl programmers to make use of the highly capable
validating XML parser and the high performance DOM implementation.

%prep
%setup -q -n %{pkgname}-%{version} 
%patch0 -p1

%build
%perl_configure
make
# check fails in t/02parse, t/08findnodes, t/13dtd
#perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%post
perl -MXML::SAX -e "XML::SAX->add_parser(q(XML::LibXML::SAX::Parser))->save_parsers()"
perl -MXML::SAX -e "XML::SAX->add_parser(q(XML::LibXML::SAX))->save_parsers()"


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README* LICENSE Changes
%{perl_vendorarch}/XML/LibXML.pm
%{perl_vendorarch}/XML/LibXML
%{perl_vendorarch}/XML/LibXML.pod
%{perl_vendorarch}/auto/XML/LibXML
%{perl_man3dir}/XML::LibXML.3pm*
%{perl_man3dir}/XML::LibXML::*.3pm*

%changelog
* Tue Nov  9 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Turn off checking, fc3's glibc uncovers some nasty bugs.

* Sun Aug 22 2004 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.
